Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7667 - smbmount in 2.0.5a-1 does not return error code on failed mount attempt
Summary: smbmount in 2.0.5a-1 does not return error code on failed mount attempt
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-07 21:03 UTC by John Hardin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-08 17:05:39 UTC


Attachments (Terms of Use)

Description John Hardin 1999-12-07 21:03:21 UTC
smbmount does not set its return code to a nonzero value if it fails to
successfully mount the network resource. This makes it difficult to script
a response to a failed mount attempt.

Also, even if the smbmount fails the mount shows up in the mounted
filesystems, and smbumount must be run before the mount attempt may be
retried. This means that the script cannot determine whether the mount
failed by checking the mounted filesystems list.

Comment 1 Bill Nottingham 1999-12-08 16:32:59 UTC
This *may* be fixed in the samba-client package in
Raw Hide, as smbmount has been slightly reworked.

Comment 2 John Hardin 1999-12-08 17:05:59 UTC
Fix is confirmed. smbmount from samba-client-2.0.6-2 returns nonzero exit code
on mount failure, and does not leave a bogus mount table entry.


Note You need to log in before you can comment on or make changes to this bug.